1. ChizPay Wallet & Transactions
Chizverse
  • ChizVerse Developer Docs
    • Getting Started
    • API Reference
      • Overview
      • Chizmis Authentication
        • Exchange for a ChizVerse Bearer
        • Hosted Client Login
        • Hosted Client Registration
        • Logout
        • Get Current Account
        • Validate Client Application
        • Login with Existing Session
        • Verify Session Key
      • Activity Tracking
        • Create Launch
        • Create Tracked Session
        • Get Session Checkpoint
        • Get Saved Player Progress
        • Ingest Event Batch
        • Get Game Leaderboard
      • ChizPay Wallet & Transactions
        • Get Wallet by Account ID
          GET
        • Transfer Wallet Balance
          POST
        • Get Wallet Transaction History
          GET
        • Debit Wallet
          POST
        • Credit Wallet
          POST
        • Get Game Ledger
          GET
    • SDK
    • Schemas
      • ExchangeForAChizVerseBearerResponse
      • ExchangeForAChizVerseBearerRequest
      • LogoutResponse
      • LogoutRequest
      • GetCurrentAccountResponse
      • ValidateClientApplicationResponse
      • LoginWithExistingSessionResponse
      • LoginWithExistingSessionRequest
      • VerifySessionKeyResponse
      • CreateLaunchResponse
      • CreateLaunchRequest
      • CreateTrackedSessionResponse
      • CreateTrackedSessionRequest
      • GetSessionCheckpointResponse
      • GetSavedPlayerProgressResponse
      • IngestEventBatchResponse
      • IngestEventBatchRequest
      • GetGameLeaderboardResponse
      • GetWalletByAccountIDResponse
      • TransferWalletBalanceResponse
      • TransferWalletBalanceRequest
      • GetWalletTransactionHistoryResponse
      • DebitWalletResponse
      • DebitWalletRequest
      • CreditWalletResponse
      • CreditWalletRequest
      • GetGameLedgerResponse
  1. ChizPay Wallet & Transactions

Get Game Ledger

GET
/chizpay/v1.0/wallet-transactions/ledger/{gameId}
Returns paginated debit and credit ledger entries for a game.

Request

Path Params

Query Params

Header Params

Responses

🟢200Success
application/json
Successful response.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.chizmis.com/chizpay/v1.0/wallet-transactions/ledger/?gameSession=&accountId=&type=&status=&page=&limit=' \
--header 'authorization;'
Response Response Example
{
  "success": true,
  "response": {
    "rows": [
      {
        "id": 80101,
        "walletId": 9123,
        "gameId": "game-slots-01",
        "gameSession": "sess_123",
        "accountId": 1001,
        "type": "DEBIT",
        "bound": "OUT",
        "amount": 50,
        "status": "COMPLETED",
        "referenceNumber": "debit_sess_123_round_12",
        "debitTransactionId": null
      },
      {
        "id": 80102,
        "walletId": 9123,
        "gameId": "game-slots-01",
        "gameSession": "sess_123",
        "accountId": 1001,
        "type": "CREDIT",
        "bound": "IN",
        "amount": 95,
        "status": "COMPLETED",
        "referenceNumber": "credit_sess_123_round_12",
        "debitTransactionId": 80101
      }
    ],
    "count": 2,
    "filters": {
      "gameSession": "sess_123",
      "accountId": 1001,
      "type": null,
      "status": null
    }
  }
}
Modified at 2026-07-30 06:57:15
Previous
Credit Wallet
Next
SDK
Built with